{ stdenv, lib, graphviz, plantuml, python3, sphinx }:
let
  pyenv = python3.withPackages (ps: [ ps.sphinx ps.sphinxcontrib_plantuml ]);
in
stdenv.mkDerivation rec {
  version = "0.0";
  name = "privatestorageio-${version}";
  src = lib.cleanSource ../.;

  phases = [ "unpackPhase" "buildPhase" ];

  depsBuildBuild = [
    graphviz
    plantuml
  ];

  buildPhase = ''
    ${pyenv}/bin/sphinx-build -W docs/ $out/docs
  '';
}
